Ask Your Question
0

Compiling error (Mypaint/fedora 24)

asked 2016-08-06 04:46:16 -0600

azrulmatsaad gravatar image

I am trying to reinstall mypaint after upgrading to fedora 24. i have installed mypaint git previously but since upgrading to f24 it cannot start,

output-

  [azrulFTW@localhost ~]$ cd '/home/azrulFTW/mypaint' 
  [azrulFTW@localhost mypaint]$ scons
Traceback (most recent call last):
  File "/usr/bin/scons", line 97, in <module>
    import pkg_resources
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3141, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3127, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3154, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 631, in _build_master
    ws = cls()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 624, in __init__
    self.add_entry(entry)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 680, in add_entry
    for dist in find_distributions(entry, True):
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2122, in find_on_path
    path_item, entry, metadata, precedence=DEVELOP_DIST
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2521, in from_location
    py_version=py_version, platform=platform, **kw
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2838, in _reload_version
    md_version = _version_from_file(self._get_metadata(self.PKG_INFO))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2486, in _version_from_file
    line = next(iter(version_lines), '')
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2654, in _get_metadata
    for line in self.get_metadata_lines(name):
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2013, in get_metadata_lines
    return yield_lines(self.get_metadata(name))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2008, in get_metadata
    metadata = f.read()
  File "/usr/lib64/python2.7/codecs.py", line 314, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf8' codec can't decode byte 0xf6 in position 203: invalid start byte
[azrulFTW@localhost mypaint]$
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-08-08 17:56:05 -0600

ssieb gravatar image

I just tried with the latest git version and it worked fine. Did you clear out the old libmypaint and install the latest version before trying to build mypaint?

Also, https://bugzilla.redhat.com/show_bug....

edit flag offensive delete link more

Comments

Yes i do clear out the old lib.My solution is Flatpak app, i just installed mypaint 1.3.0 and it works fine with some minor bug, which is the theming.Thanks for your guide.

azrulmatsaad gravatar imageazrulmatsaad ( 2016-08-09 07:38:15 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2016-08-06 04:46:16 -0600

Seen: 101 times

Last updated: Aug 08 '16